공개 한글 맞춤법 검사기 확장

Firefox 확장 기능(Extensions)에 대한 정보 및 질문과 답변을 하는 게시판입니다. update.mozilla.or.kr 를 참고하세요
miLRain
해커
해커
게시물: 1058
참여됨: 2004 11 30 18:33 15
연락:

Re: [테스트] 공개 한글 맞춤법 검사기 확장입니다.

게시물 작성자 miLRain » 2009 04 30 10:42 04

아직 등록이 안된건가요?
------------------------------------------------------------------------------
소네트116-윌리엄 세익스피어
변화에 변심않고/사랑만은 견디느니//폭풍이 몰아쳐도/사랑만은 견디느니//입술빛 퇴색해도/사랑많은 견디느니//이 생각 틀렸다면/사랑하지않으리.

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: [테스트] 공개 한글 맞춤법 검사기 확장입니다.

게시물 작성자 Mr.Dust » 2009 05 03 04:20 59

miLRain 씀:아직 등록이 안된건가요?
네.. 찾아보니 저만의 문제는 아닌 것 같습니다. 조금 기다려봐야겠네요. ^^;
https://wiki.mozilla.org/Update:Develop ... tion_issue

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: [테스트] 공개 한글 맞춤법 검사기 확장입니다.

게시물 작성자 Mr.Dust » 2009 05 11 13:51 20

0.2.3 으로 업데이트되었습니다.

다운로드 받기

miLRain
해커
해커
게시물: 1058
참여됨: 2004 11 30 18:33 15
연락:

Re: [테스트] 공개 한글 맞춤법 검사기 확장입니다.

게시물 작성자 miLRain » 2009 05 11 13:54 26

Mr.Dust님 업데이트 감사합니다.
------------------------------------------------------------------------------
소네트116-윌리엄 세익스피어
변화에 변심않고/사랑만은 견디느니//폭풍이 몰아쳐도/사랑만은 견디느니//입술빛 퇴색해도/사랑많은 견디느니//이 생각 틀렸다면/사랑하지않으리.

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: [테스트] 공개 한글 맞춤법 검사기 확장입니다.

게시물 작성자 Mr.Dust » 2009 06 20 04:44 49

0.3.0 으로 업데이트 하였습니다.

관련 글 : viewtopic.php?f=12&t=11138&p=38600#p38600

miLRain
해커
해커
게시물: 1058
참여됨: 2004 11 30 18:33 15
연락:

Re: 공개 한글 맞춤법 검사기 확장 0.3.0

게시물 작성자 miLRain » 2009 06 20 12:09 39

Mr.Dust님 업데이트 감사합니다. 그리고 잘 쓰겠습니다.
------------------------------------------------------------------------------
소네트116-윌리엄 세익스피어
변화에 변심않고/사랑만은 견디느니//폭풍이 몰아쳐도/사랑만은 견디느니//입술빛 퇴색해도/사랑많은 견디느니//이 생각 틀렸다면/사랑하지않으리.

commander

Re: 공개 한글 맞춤법 검사기 확장 0.3.0

게시물 작성자 commander » 2009 07 14 15:56 19

어느 정도 안정화가 된 상태라면 addons.mozilla.org 에 확장기능 등록하는 것이 좋을 것 같은데요. 특별한 문제가 있나요?

하는 김에 아래 페이지에도 등록되면 좋겠군요.

https://addons.mozilla.org/ko/firefox/browse/type:3

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 26 15:16 11

0.3.2 버전으로 업데이트 되었고, 드디어 애드온 사이트에 등록이 되었습니다.
평가 부탁드리겠습니다. 평가해주셔야 정식 애드온으로 등록될 수 있습니다.

내려 받기

clue

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 clue » 2009 07 27 02:15 11

리눅스에서 사용할 수 없다고 나오는데요?

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 27 03:39 06

clue 씀:리눅스에서 사용할 수 없다고 나오는데요?
네. 대부분의 리눅스/유닉스 계열에서는 파이어폭스에 hunspell을 내장하지 않고, 시스템의 hunspell을 사용하도록 컴파일하는 것으로 알고 있어서, 본 플러그인이 정상 동작하지 않을 수 있습니다.
따라서 리눅스는 지원 대상에서 제외하였습니다.

하지만 직접 hunspell, libhunspell 을 1.2.8 로 업데이트하시고, 패키지나 소스로 맞춤법 검사기를 설치하시면, 파이어폭스 뿐만 아니라 오픈오피스 등 hunspell을 지원하는 모든 프로그램에서 맞춤법 검사기를 사용할 수 있습니다.(혹은 위 플러그인 파일을 풀어(zip 파일임) ko-KR.aff, ko-KR.dic 파일을 다음 경로로 복사합니다. /usr/share/myspell/dicts/)

clue

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 clue » 2009 07 27 06:41 56

Mr.Dust 씀:
clue 씀:리눅스에서 사용할 수 없다고 나오는데요?
네. 대부분의 리눅스/유닉스 계열에서는 파이어폭스에 hunspell을 내장하지 않고, 시스템의 hunspell을 사용하도록 컴파일하는 것으로 알고 있어서, 본 플러그인이 정상 동작하지 않을 수 있습니다.
따라서 리눅스는 지원 대상에서 제외하였습니다.

하지만 직접 hunspell, libhunspell 을 1.2.8 로 업데이트하시고, 패키지나 소스로 맞춤법 검사기를 설치하시면, 파이어폭스 뿐만 아니라 오픈오피스 등 hunspell을 지원하는 모든 프로그램에서 맞춤법 검사기를 사용할 수 있습니다.(혹은 위 플러그인 파일을 풀어(zip 파일임) ko-KR.aff, ko-KR.dic 파일을 다음 경로로 복사합니다. /usr/share/myspell/dicts/)
동의하지 않습니다. "플러그인을 사용하지 않아도 된다"는 말이 "플러그인을 사용할 수 없다"는 뜻은 아니지 않습니까? 지금 다른 언어들의 맞춤법 검사 확장도 패키지로 설치할 수 있고, 기타 파폭 확장 기능 중에서도 패키지로 설치할 수 있는 게 꽤 있지만 그렇다고 해서 그 플러그인이 리눅스에서 설치를 금지하지는 않습니다. 물론 시스템에 설치한 hunspell 사전을 쓸 수 있다는 사실은 알고 있습니다만, 현재 패키지가 아직 준비되지 않은 리눅스 배포판도 있고 여러가지 이유로 (취향?) 플러그인을 쓸 수도 있는 일입니다.

동작하지 않을 수도 있다는 게 무슨 의미인지 모르겠습니다. 저는 지금까지 플러그인을 설치해서 쓰는데 아무런 문제가 없었습니다.

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 27 09:07 40

clue 씀:동의하지 않습니다. "플러그인을 사용하지 않아도 된다"는 말이 "플러그인을 사용할 수 없다"는 뜻은 아니지 않습니까?
"플러그인을 사용하지 않아도 된다." 가 아니라 "플러그인을 정상적으로 사용할 수 없을 수도 있다." 라는 것입니다.
Mr.Dust 씀:대부분의 리눅스/유닉스 계열에서는 파이어폭스에 hunspell을 내장하지 않고, 시스템의 hunspell을 사용하도록 컴파일하는 것으로 알고 있어서, 본 플러그인이 정상 동작하지 않을 수 있습니다.
clue 씀:지금 다른 언어들의 맞춤법 검사 확장도 패키지로 설치할 수 있고, 기타 파폭 확장 기능 중에서도 패키지로 설치할 수 있는 게 꽤 있지만 그렇다고 해서 그 플러그인이 리눅스에서 설치를 금지하지는 않습니다.
다른 언어의 경우 낮은 버전의 hunspell 에서도 정상적으로 동작하는 경우가 많습니다. 하지만 한국어 맞춤법 검사기의 경우 1.2.8 에 추가된 기능을 이용하고 있고, 많은 배포판에서 아직 기본 버전으로 채택하지 않은 상황입니다.(채택한 배포판도 있긴 합니다만..)

이러한 상황에서 플러그인을 이용해 맞춤법 검사기를 설치하면, hunspell 버전에 따라 맞춤법 검사기가 정상적으로 동작하거나 하지 않는 등의 문제가 발생됩니다. 따라서 불필요한 혼란을 막기 위해 리눅스 지원을 제외한 것입니다.

clue 씀:물론 시스템에 설치한 hunspell 사전을 쓸 수 있다는 사실은 알고 있습니다만, 현재 패키지가 아직 준비되지 않은 리눅스 배포판도 있고 여러가지 이유로 (취향?) 플러그인을 쓸 수도 있는 일입니다.
일반적으로 시스템에 설치된 hunspell을 쓸 것인가, 아니면 내장(?) hunspell을 사용할 것인가를 선택할 수 없습니다. 선택하고 싶다면 재컴파일 해야하는데, 젠투 사용자가 아니라면 요즘같은 상황에서 직접 컴파일을 하는 경우는 굉장히 드물것으로 생각됩니다. 그리고 파폭을 직접 컴파일하실 정도면 뭐 따로 설명이 필요없겠죠. ㅎㅎ

clue 씀:동작하지 않을 수도 있다는 게 무슨 의미인지 모르겠습니다. 저는 지금까지 플러그인을 설치해서 쓰는데 아무런 문제가 없었습니다.
사용중이신 배포판과 버전, 그리고 hunspell, libhunspell 버전을 알려주시겠습니까? 확인해보도록 하겠습니다. 우분투쪽은 9.04 에서도 hunspell 업데이트 없이는 정상 이용이 불가능한데, 다른 계열인가요?


마지막으로 주요 배포판들의 기본 탑재 hunspell 버전이 1.2.8 이상으로 올라가면, 리눅스 지원도 포함할 것입니다. 어차피 딱히 플랫폼을 가리는 건 아니니까요. ^^; 그리고 리눅스에서도 플러그인을 이용해 강제 설치가 가능할텐데.. 아닌가요? xpi 다운받아서 설치하시면.. ;;;

clue

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 clue » 2009 07 27 10:24 53

Mr.Dust 씀:...
clue 씀:동작하지 않을 수도 있다는 게 무슨 의미인지 모르겠습니다. 저는 지금까지 플러그인을 설치해서 쓰는데 아무런 문제가 없었습니다.
사용중이신 배포판과 버전, 그리고 hunspell, libhunspell 버전을 알려주시겠습니까? 확인해보도록 하겠습니다. 우분투쪽은 9.04 에서도 hunspell 업데이트 없이는 정상 이용이 불가능한데, 다른 계열인가요?


마지막으로 주요 배포판들의 기본 탑재 hunspell 버전이 1.2.8 이상으로 올라가면, 리눅스 지원도 포함할 것입니다. 어차피 딱히 플랫폼을 가리는 건 아니니까요. ^^; 그리고 리눅스에서도 플러그인을 이용해 강제 설치가 가능할텐데.. 아닌가요? xpi 다운받아서 설치하시면.. ;;;
fedora 11입니다. 파폭 베타 바이너리도 깔아서 쓰고 있고요. 시스템에 설치된 hunspell의 경우 fedora 11 정식 릴리즈 전부터 개발버전을 사용했는데 계속 1.2.8 이었습니다. 얼마나 조사를 하셨길래 많은 배포판이라고 단정하시는지 모르겠지만, 지금 대충 찾아봐도 우분투만 유난히 늦고 (우분투도 개발 버전은 1.2.8) 페도라 수세 모두 릴리즈한 안정버전 배포판에 1.2.8이 들어 있습니다. 개발버전에는 데비안이나 우분투에도 다 들어있고요.

어차피 우분투 9.04에는 파이어폭스 3.5가 들어 있지도 않은데요. 플러그인에 파폭 버전이 3.1b3 이상으로 지정되어 있는 것만으로 hunspell 버전 문제에 대해 할일은 충분히 다 했다고 생각합니다. 만약 3.5 릴리스 이후에도 hunspell 구버전과 링크한다면 (지금 배포판들의 hunspell 버전업 상황으로 보아 그렇게 할 것 같지도 않지만) 배포판에서 해결해야 할 문제지요.

리눅스에서는 XPI 다운로드 링크도 안 나오는데요. 게다가 /usr/share/myspell/dicts는 데비안 계열에만 쓰는 폴더같군요.

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 27 13:25 17

clue 씀:fedora 11입니다. 파폭 베타 바이너리도 깔아서 쓰고 있고요. 시스템에 설치된 hunspell의 경우 fedora 11 정식 릴리즈 전부터 개발버전을 사용했는데 계속 1.2.8 이었습니다. 얼마나 조사를 하셨길래 많은 배포판이라고 단정하시는지 모르겠지만, 지금 대충 찾아봐도 우분투만 유난히 늦고 (우분투도 개발 버전은 1.2.8) 페도라 수세 모두 릴리즈한 안정버전 배포판에 1.2.8이 들어 있습니다. 개발버전에는 데비안이나 우분투에도 다 들어있고요.
아 그렇군요. 벌써 다들 1.2.8 로 올렸군요.
그런데 어쩌죠? 저는 겨우 우분투에서밖에 테스트를 못하는데.. 개인적으로는 불필요한 문제를 만들고 싶지는 않네요. 넷북으로 겨우 인터넷이나 하는 상황에서 버추얼머신으로 테스트를 할 수도 없는 거고.. 못하는 건 못한다고 하는게 제일 좋죠.

여튼 리눅스 관련 문제는 당분간 유저들에게 맡겨도 될 것 같습니다.
뭐.. 리눅스용 플러그인이 필요하다면 다른 분이 만드시겠지요. 그리 어려운 일이 아니니까요. ^^; 다만 저는 리눅스용을 처리하기가 어렵습니다. 엄밀히 따지면 맥용도 마찬가지긴 합니다만 ;;;

clue

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 clue » 2009 07 27 14:35 15

Mr.Dust 씀:그런데 어쩌죠? 저는 겨우 우분투에서밖에 테스트를 못하는데.. 개인적으로는 불필요한 문제를 만들고 싶지는 않네요. 넷북으로 겨우 인터넷이나 하는 상황에서 버추얼머신으로 테스트를 할 수도 없는 거고.. 못하는 건 못한다고 하는게 제일 좋죠.

여튼 리눅스 관련 문제는 당분간 유저들에게 맡겨도 될 것 같습니다.
뭐.. 리눅스용 플러그인이 필요하다면 다른 분이 만드시겠지요. 그리 어려운 일이 아니니까요. ^^; 다만 저는 리눅스용을 처리하기가 어렵습니다. 엄밀히 따지면 맥용도 마찬가지긴 합니다만 ;;;
모든 리눅스 플랫폼에서 테스트를 해 주시라고 바라는 게 아닙니다. 지금 일부러 문제 되는 걸 걱정하셔서 윈도우용/리눅스용 구분이 필요없는 성격의 플러그인을 일부러 수고하셔서 구분하신 상황인데요. 걱정하지 말고 그냥 전처럼 플랫폼에 상관없는 플러그인으로 만들어도 문제 없다고 보입니다. 앞에서 말했듯이 저처럼 문제없이 사용했던 사람도 있고, 걱정하고 계시는 우분투 9.04 + hunspell 1.2.7 환경에서는 어차피 지금 플러그인의 최소 버전 설정에 따라 설치하지도 못하는데 버전때문에 문제가 발생할 것 같지 않습니다.

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 28 05:23 48

clue 씀: 지금 일부러 문제 되는 걸 걱정하셔서 윈도우용/리눅스용 구분이 필요없는 성격의 플러그인을 일부러 수고하셔서 구분하신 상황인데요. 걱정하지 말고 그냥 전처럼 플랫폼에 상관없는 플러그인으로 만들어도 문제 없다고 보입니다.
다른 분들의 말씀을 들어보고, clue님 말씀처럼 큰 문제가 없다면 다음 버전부터 플랫폼 구분을 안하는 것을 고려해보겠습니다. :)

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 07 29 12:16 36

혹시 윈도우에서 설치시 오류 나시는 분 있나요?
제 블로그에 두 분이나 말씀해주셨는데, 저는 재현이 어렵네요.
도움을 부탁드립니다.

http://mr-dust.pe.kr/1129#comment4321767

Mr.Dust
서포터즈
서포터즈
게시물: 108
참여됨: 2006 10 30 10:25 25
위치: 먼산 ( '')a
연락:

Re: 공개 한글 맞춤법 검사기 확장

게시물 작성자 Mr.Dust » 2009 08 31 00:42 46

0.3.3 버전으로 업데이트 되었고, 애드온 사이트에 정식 등록되었습니다.
도움을 주신 많은 분들께 감사의 말씀을 드립니다.

내려받기 : https://addons.mozilla.org/ko/firefox/addon/11487/
(현재 새 버전 심사중에 있으므로 0.3.3 버전을 사용하시려면 조금 기다리셔야 할 것 같습니다.)

Changelog 0.3.3
- 갈퀴 DB 데이터 업데이트
- 두벌식 오타 추천 규칙 추가
- ㅇ벗어 => 없어, 젭라 => 제발
- 테스트 케이스 추가
- 모든 플랫폼 지원

댓글 게시

누군가 접속

유저들이 이 포럼을 탐색중: 가입된 유저 없음 그리고 3 손님들